MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002089VCMIMechanics - Adventure Mappublic2015-02-15 08:572016-09-11 10:58
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.97b 
Target VersionFixed in Version0.99 
Summary0002089: Multiplayer over network: heroes inside town displayed like they visiting it
DescriptionThis only affect games with 2+ clients connected to server. It's not affect hot seat!

Basically when you put hero inside castle it's shouldn't be visible on adventure map, but in case of network multiplayer it's doesn't work and heroes always displayed like if they were visiting town.

Multiplayer is pretty messy and need a lot of fixing of course, but this is one of not that obvious issue so I post it on bug tracker as @AVS said this may indicate gamestate desync which may not end up well.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006582)
SXX (administrator)
2016-08-23 05:11
edited on: 2016-08-23 05:12

Didn't tested it, but considering nobody really touch multiplayer almost sure there something wrong with netpacks or server code for town visits.

So this is another source of desyncs that need to be checked for 0002459.

(0006633)
SXX (administrator)
2016-09-08 15:44

So far can't find why it's happening. Probably issue was fixed already.
(0006639)
SXX (administrator)
2016-09-11 10:11
edited on: 2016-09-11 10:13

Problem still there, but I pretty sure it's entirely client-side. :-)

CPlayerInterface::heroInGarrisonChange

(0006640)
SXX (administrator)
2016-09-11 10:57

Fixed:

https://github.com/vcmi/vcmi/commit/9ab7650746f6f590e7d825e1c27846b41ddfb6ab [^]
(0006641)
SXX (administrator)
2016-09-11 10:58

PS: Please keep in mind multiplayer currently still broken in develop.

- Issue History
Date Modified Username Field Change
2015-02-15 08:57 SXX New Issue
2016-08-23 05:10 SXX Relationship added child of 0002459
2016-08-23 05:11 SXX Note Added: 0006582
2016-08-23 05:12 SXX Note Edited: 0006582 View Revisions
2016-09-08 15:44 SXX Note Added: 0006633
2016-09-11 10:11 SXX Relationship deleted child of 0002459
2016-09-11 10:11 SXX Note Added: 0006639
2016-09-11 10:13 SXX Note Edited: 0006639 View Revisions
2016-09-11 10:57 SXX Note Added: 0006640
2016-09-11 10:57 SXX Status new => resolved
2016-09-11 10:57 SXX Fixed in Version => 0.99
2016-09-11 10:57 SXX Resolution open => fixed
2016-09-11 10:57 SXX Assigned To => SXX
2016-09-11 10:58 SXX Note Added: 0006641

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean